Open CASCADE Technology  7.7.0.dev
Public Member Functions

BRepPrim_Builder Class Reference

implements the abstract Builder with the BRep Builder More...

#include <BRepPrim_Builder.hxx>

Public Member Functions

 BRepPrim_Builder ()
 Creates an empty, useless Builder. Necesseray for compilation. More...
 
 BRepPrim_Builder (const BRep_Builder &B)
 Creates from a Builder. More...
 
const BRep_BuilderBuilder () const
 
void MakeShell (TopoDS_Shell &S) const
 Make a empty Shell. More...
 
void MakeFace (TopoDS_Face &F, const gp_Pln &P) const
 Returns in <F> a Face built with the plane equation. More...
 
void MakeWire (TopoDS_Wire &W) const
 Returns in <W> an empty Wire. More...
 
void MakeDegeneratedEdge (TopoDS_Edge &E) const
 Returns in <E> a degenerated edge. More...
 
void MakeEdge (TopoDS_Edge &E, const gp_Lin &L) const
 Returns in <E> an Edge built with the line equation <L>. More...
 
void MakeEdge (TopoDS_Edge &E, const gp_Circ &C) const
 Returns in <E> an Edge built with the circle equation . More...
 
void SetPCurve (TopoDS_Edge &E, const TopoDS_Face &F, const gp_Lin2d &L) const
 Sets the line <L> to be the curve representing the edge <E> in the parametric space of the surface of <F>. More...
 
void SetPCurve (TopoDS_Edge &E, const TopoDS_Face &F, const gp_Lin2d &L1, const gp_Lin2d &L2) const
 Sets the lines <L1,L2> to be the curves representing the edge <E> in the parametric space of the closed surface of <F>. More...
 
void SetPCurve (TopoDS_Edge &E, const TopoDS_Face &F, const gp_Circ2d &C) const
 Sets the circle to be the curve representing the edge <E> in the parametric space of the surface of <F>. More...
 
void MakeVertex (TopoDS_Vertex &V, const gp_Pnt &P) const
 Returns in <V> a Vertex built with the point. More...
 
void ReverseFace (TopoDS_Face &F) const
 Reverses the Face <F>. More...
 
void AddEdgeVertex (TopoDS_Edge &E, const TopoDS_Vertex &V, const Standard_Real P, const Standard_Boolean direct) const
 Adds the Vertex <V> in the Edge <E>. More...
 
void AddEdgeVertex (TopoDS_Edge &E, const TopoDS_Vertex &V, const Standard_Real P1, const Standard_Real P2) const
 Adds the Vertex <V> in the Edge <E>. <P1,P2> are the parameters of the vertex on the closed edge. More...
 
void SetParameters (TopoDS_Edge &E, const TopoDS_Vertex &V, const Standard_Real P1, const Standard_Real P2) const
 <P1,P2> are the parameters of the vertex on the edge. The edge is a closed curve. More...
 
void AddWireEdge (TopoDS_Wire &W, const TopoDS_Edge &E, const Standard_Boolean direct) const
 Adds the Edge <E> in the Wire <W>, if direct is False the Edge is reversed. More...
 
void AddFaceWire (TopoDS_Face &F, const TopoDS_Wire &W) const
 Adds the Wire <W> in the Face <F>. More...
 
void AddShellFace (TopoDS_Shell &Sh, const TopoDS_Face &F) const
 Adds the Face <F> in the Shell <Sh>. More...
 
void CompleteEdge (TopoDS_Edge &E) const
 This is called once an edge is completed. It gives the opportunity to perform any post treatment. More...
 
void CompleteWire (TopoDS_Wire &W) const
 This is called once a wire is completed. It gives the opportunity to perform any post treatment. More...
 
void CompleteFace (TopoDS_Face &F) const
 This is called once a face is completed. It gives the opportunity to perform any post treatment. More...
 
void CompleteShell (TopoDS_Shell &S) const
 This is called once a shell is completed. It gives the opportunity to perform any post treatment. More...
 

Detailed Description

implements the abstract Builder with the BRep Builder

Constructor & Destructor Documentation

◆ BRepPrim_Builder() [1/2]

BRepPrim_Builder::BRepPrim_Builder ( )

Creates an empty, useless Builder. Necesseray for compilation.

◆ BRepPrim_Builder() [2/2]

BRepPrim_Builder::BRepPrim_Builder ( const BRep_Builder B)

Creates from a Builder.

Member Function Documentation

◆ AddEdgeVertex() [1/2]

void BRepPrim_Builder::AddEdgeVertex ( TopoDS_Edge E,
const TopoDS_Vertex V,
const Standard_Real  P,
const Standard_Boolean  direct 
) const

Adds the Vertex <V> in the Edge <E>.

is the parameter of the vertex on the edge. If direct is False the Vertex is reversed.

◆ AddEdgeVertex() [2/2]

void BRepPrim_Builder::AddEdgeVertex ( TopoDS_Edge E,
const TopoDS_Vertex V,
const Standard_Real  P1,
const Standard_Real  P2 
) const

Adds the Vertex <V> in the Edge <E>. <P1,P2> are the parameters of the vertex on the closed edge.

◆ AddFaceWire()

void BRepPrim_Builder::AddFaceWire ( TopoDS_Face F,
const TopoDS_Wire W 
) const

Adds the Wire <W> in the Face <F>.

◆ AddShellFace()

void BRepPrim_Builder::AddShellFace ( TopoDS_Shell Sh,
const TopoDS_Face F 
) const

Adds the Face <F> in the Shell <Sh>.

◆ AddWireEdge()

void BRepPrim_Builder::AddWireEdge ( TopoDS_Wire W,
const TopoDS_Edge E,
const Standard_Boolean  direct 
) const

Adds the Edge <E> in the Wire <W>, if direct is False the Edge is reversed.

◆ Builder()

const BRep_Builder& BRepPrim_Builder::Builder ( ) const

◆ CompleteEdge()

void BRepPrim_Builder::CompleteEdge ( TopoDS_Edge E) const

This is called once an edge is completed. It gives the opportunity to perform any post treatment.

◆ CompleteFace()

void BRepPrim_Builder::CompleteFace ( TopoDS_Face F) const

This is called once a face is completed. It gives the opportunity to perform any post treatment.

◆ CompleteShell()

void BRepPrim_Builder::CompleteShell ( TopoDS_Shell S) const

This is called once a shell is completed. It gives the opportunity to perform any post treatment.

◆ CompleteWire()

void BRepPrim_Builder::CompleteWire ( TopoDS_Wire W) const

This is called once a wire is completed. It gives the opportunity to perform any post treatment.

◆ MakeDegeneratedEdge()

void BRepPrim_Builder::MakeDegeneratedEdge ( TopoDS_Edge E) const

Returns in <E> a degenerated edge.

◆ MakeEdge() [1/2]

void BRepPrim_Builder::MakeEdge ( TopoDS_Edge E,
const gp_Circ C 
) const

Returns in <E> an Edge built with the circle equation .

◆ MakeEdge() [2/2]

void BRepPrim_Builder::MakeEdge ( TopoDS_Edge E,
const gp_Lin L 
) const

Returns in <E> an Edge built with the line equation <L>.

◆ MakeFace()

void BRepPrim_Builder::MakeFace ( TopoDS_Face F,
const gp_Pln P 
) const

Returns in <F> a Face built with the plane equation.

. Used by all primitives.

◆ MakeShell()

void BRepPrim_Builder::MakeShell ( TopoDS_Shell S) const

Make a empty Shell.

◆ MakeVertex()

void BRepPrim_Builder::MakeVertex ( TopoDS_Vertex V,
const gp_Pnt P 
) const

Returns in <V> a Vertex built with the point.

.

◆ MakeWire()

void BRepPrim_Builder::MakeWire ( TopoDS_Wire W) const

Returns in <W> an empty Wire.

◆ ReverseFace()

void BRepPrim_Builder::ReverseFace ( TopoDS_Face F) const

Reverses the Face <F>.

◆ SetParameters()

void BRepPrim_Builder::SetParameters ( TopoDS_Edge E,
const TopoDS_Vertex V,
const Standard_Real  P1,
const Standard_Real  P2 
) const

<P1,P2> are the parameters of the vertex on the edge. The edge is a closed curve.

◆ SetPCurve() [1/3]

void BRepPrim_Builder::SetPCurve ( TopoDS_Edge E,
const TopoDS_Face F,
const gp_Circ2d C 
) const

Sets the circle to be the curve representing the edge <E> in the parametric space of the surface of <F>.

◆ SetPCurve() [2/3]

void BRepPrim_Builder::SetPCurve ( TopoDS_Edge E,
const TopoDS_Face F,
const gp_Lin2d L 
) const

Sets the line <L> to be the curve representing the edge <E> in the parametric space of the surface of <F>.

◆ SetPCurve() [3/3]

void BRepPrim_Builder::SetPCurve ( TopoDS_Edge E,
const TopoDS_Face F,
const gp_Lin2d L1,
const gp_Lin2d L2 
) const

Sets the lines <L1,L2> to be the curves representing the edge <E> in the parametric space of the closed surface of <F>.


The documentation for this class was generated from the following file: